From 74814ae1c7d770c6aff163279bf09a274c2b4bf2 Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Thu, 20 Sep 2018 01:17:04 +0100
Subject: [PATCH 02/39] g++-8.2 compatibility (avoid operatorX() confusion)

---
 src/classes_gui.cxx | 2 +-
 src/gridflow.hxx    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/classes_gui.cxx b/src/classes_gui.cxx
index f646ca06..bf1ed415 100644
--- a/src/classes_gui.cxx
+++ b/src/classes_gui.cxx
@@ -58,7 +58,7 @@ struct _outlet {
 #define INIT INIT1 t_canvas *c = glist_getcanvas(glist); c=c;
 #undef L
 #define L             if (0) post("%s",   __PRETTY_FUNCTION__);
-#define LL(A,ARGS...) if (0) post("%s(%p,%p"A")",__FUNCTION__,bself,self,ARGS);
+#define LL(A,ARGS...) if (0) post("%s(%p,%p" A ")",__FUNCTION__,bself,self,ARGS);
 #define BLAH t_gobj *x, t_glist *glist
 #define pd_anything pd_typedmess
 
diff --git a/src/gridflow.hxx b/src/gridflow.hxx
index 1e14e4f5..f1a249c3 100644
--- a/src/gridflow.hxx
+++ b/src/gridflow.hxx
@@ -286,7 +286,7 @@ struct t_atom2 : t_atom {
 	operator   int64 () const {if (a_type!=A_FLOAT) RAISE("expected float, got %s",to_s().data()); return  (int64)round(a_float);}
 	operator float64 () const {if (a_type!=A_FLOAT) RAISE("expected float, got %s",to_s().data()); return               a_float ;}
 
-#define TYPECASTER2(T,A,B,C) operator T () const {if (a_type!=A) RAISE("expected "B", got %s",to_s().data()); return C;}
+#define TYPECASTER2(T,A,B,C) operator T () const {if (a_type!=A) RAISE("expected " B ", got %s",to_s().data()); return C;}
 	TYPECASTER2(string      ,A_SYMBOL ,"symbol"     ,string(a_symbol->s_name))
 	//TYPECASTER2(const char *,A_SYMBOL ,"symbol"     ,       a_symbol->s_name ) //"ambiguous" ?
 	TYPECASTER2(t_symbol   *,A_SYMBOL ,"symbol"     ,       a_symbol         )
-- 
2.19.1

